package com.fjhx.service.apply;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.base.Condition;
import com.fjhx.base.StorageBaseService;
import com.fjhx.entity.apply.ApplyPurchase;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 物料申购 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-09-14
 */
public interface ApplyPurchaseService extends StorageBaseService<ApplyPurchase> {

    String getCode();

    Map<Integer, Map<String, Object>> typeStatistics(Condition condition);

    List<Map<String, Object>> flowStatistics(Condition condition);

    Page<Map<String, Object>> getPage(Condition condition);

    Page<Map<String, Object>> getApplyPurchasePage(Condition condition);

    Map<String, Object> getApplyPurchaseDetailsList(Condition condition);

    Map<String, Object> amountStatistics(Condition condition);

    Page<Map<String, Object>> amountPage(Condition condition);

}
